Summary: Diagnostic programs for ethernet adapters under Linux.
Name: ethernet-diag
Version: 2.1
Release: 1ur
Copyright: GPL
Group: Applications/System
Source0: ftp://ftp.scyld.com/pub/diag.tar.bz2
Source1: ftp://ftp.scyld.com/pub/isa-diag.tar.bz2
URL: http://www.scyld.com/diag/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: /usr/bin/find

%description
Diagnostic and configuration programs for most common ethernet adapters
supported by Linux.


%package isa
Summary: Diagnostic programs for ISA ethernet adapters under Linux.
Group: Applications/System

%description isa
Diagnostic and configuration programs for most common ISA ethernet adapters
supported by Linux.


%prep
%setup -T -c %{name}-%{version} -a 0 -a 1

%build
# Main (PCI) tools
pushd diag

# Special compilations
gcc $RPM_OPT_FLAGS mii-diag.c -DLIBMII libmii.c -o mii-diag
rm -f mii-diag.c libmii.c
gcc $RPM_OPT_FLAGS ne2k-pci-diag.c -DLIBFLASH libflash.c -o ne2k-pci-diag
rm -f ne2k-pci-diag.c libflash.c

# Normal compilations
for file in *.c; do
	gcc $RPM_OPT_FLAGS -o `basename $file .c` $file
done
popd

# Other (ISA) tools
pushd isa-diag
# The atp-diag tool doesn't seem to want to compile... :-(
rm atp-diag.c
# The ne2k-diag tool is the same as the other one
rm ne2k-diag.c
for file in *.c; do
	gcc $RPM_OPT_FLAGS -o `basename $file .c` $file
done
popd

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man8
find . -perm 755 -type f -exec install {} %{buildroot}%{_sbindir} \;
find . -name "*.8" -exec install {} %{buildroot}%{_mandir}/man8 \;

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc */*.html
%{_sbindir}/3c5x9setup
%{_sbindir}/alta-diag
%{_sbindir}/eepro100-diag
%{_sbindir}/el3
%{_sbindir}/epic-diag
%{_sbindir}/ether-wake
%{_sbindir}/mii-diag
%{_sbindir}/natsemi-diag
%{_sbindir}/ne2k-diag
%{_sbindir}/ne2k-pci-diag
%{_sbindir}/pci-config
%{_sbindir}/pcnet-diag
%{_sbindir}/rtl8139-diag
%{_sbindir}/starfire-diag
%{_sbindir}/tulip-diag
%{_sbindir}/via-diag
%{_sbindir}/vortex-diag
%{_sbindir}/winbond-diag
%{_sbindir}/yellowfin-diag
%{_mandir}/man8/*

%files isa
%{_sbindir}/3c515-diag
%{_sbindir}/3c5x9setup
%{_sbindir}/at1700-diag
%{_sbindir}/atlantic
#%{_sbindir}/atp-diag
%{_sbindir}/e21
%{_sbindir}/eexpress
%{_sbindir}/el3
%{_sbindir}/hp+
#%{_sbindir}/ne2k-diag

%changelog
* Fri Mar 16 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Cleaned-up and fixed Donald Becker's spec file.

